Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodPk

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SmartKey
            |
            +--com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

public class ShippingMethodPk
extends SmartKey
implements java.io.Serializable

This is a PrimaryKey for managing the life cycle of a BSC Configurable/Entity bean. It is derived from SmartKey which requires that the classes be serializable and comparable. This class is generated by Theory Center's SmartGenartor.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `identifier`

Constructor Summary
`ShippingMethodPk()` Default constructor.
`ShippingMethodPk(java.lang.String identifier)` Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(java.lang.Object o)` Implements the compareTo method.
`int` | `hashCode()` override the hashCode() method
`java.lang.String` | `toString()` Returns the stringified version of the key class.

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

Constructor Detail

### ShippingMethodPk

    public ShippingMethodPk()

  Default constructor.

### ShippingMethodPk

    public ShippingMethodPk(java.lang.String identifier)

  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

  Overrides:
    compareTo in class SmartKey

### toString

    public java.lang.String toString()

  Returns the stringified version of the key class.

  Overrides:
    toString in class SmartKey

### hashCode

    public int hashCode()

  override the hashCode() method

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved